> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riseworks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get external recipients for team



## OpenAPI

````yaml /api-reference/openapi.yaml get /v2/payments/teams/{team_nanoid}/external_entity
openapi: 3.0.3
info:
  title: Rise
  description: Web3-enabled payroll and compliance for the modern workforce
  version: 2.0.0
servers:
  - url: https://b2b-api.dev-riseworks.io
    description: Development
  - url: https://integrations-api.staging-riseworks.io
    description: Staging
  - url: https://integrations-api.riseworks.io
    description: Production
security: []
paths:
  /v2/payments/teams/{team_nanoid}/external_entity:
    get:
      tags:
        - Bill Pay
      summary: Get external recipients for team
      parameters:
        - schema:
            type: string
            minLength: 15
            maxLength: 15
            format: starts_with
            pattern: ^te-.*
          in: path
          name: team_nanoid
          required: true
          description: >-
            Identifier of a Rise team (a workspace below a company).
            15-character nanoid prefixed with `te-`.
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  counts:
                    type: object
                    properties:
                      all:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                      active:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                      canceled:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                      blocked:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                    required:
                      - all
                      - active
                      - canceled
                      - blocked
                    additionalProperties: false
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        user_nanoid:
                          type: string
                          minLength: 15
                          maxLength: 15
                          format: starts_with
                          pattern: ^us-.*
                          description: >-
                            Identifier of a Rise user. 15-character nanoid
                            prefixed with `us-`.
                        email:
                          type: string
                        first_name:
                          type: string
                        last_name:
                          type: string
                        status:
                          type: string
                          enum:
                            - active
                            - inactive
                        is_company:
                          default: false
                          type: boolean
                        company_name:
                          default: ''
                          type: string
                          maxLength: 191
                        payments:
                          type: array
                          items:
                            type: object
                            properties:
                              payment_nanoid:
                                type: string
                                minLength: 15
                                maxLength: 15
                                format: starts_with
                                pattern: ^pa-.*
                                description: >-
                                  Identifier of a single payment. 15-character
                                  nanoid prefixed with `pa-`.
                              amount_cents:
                                type: integer
                                minimum: 0
                                exclusiveMinimum: true
                                maximum: 9007199254740991
                              currency:
                                type: string
                                enum:
                                  - USD
                              description:
                                type: string
                              created_at:
                                type: string
                                format: date-time
                                pattern: >-
                                  ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
                            required:
                              - payment_nanoid
                              - amount_cents
                              - currency
                              - description
                              - created_at
                            additionalProperties: false
                        verification:
                          type: object
                          properties:
                            payer_is_company:
                              default: false
                              type: boolean
                            payer_company_name:
                              default: ''
                              type: string
                            payee_is_company:
                              default: false
                              type: boolean
                            payee_company_name:
                              default: ''
                              type: string
                            payer_first_name:
                              type: string
                            payer_last_name:
                              type: string
                            payee_first_name:
                              type: string
                            payee_last_name:
                              type: string
                            review_version:
                              type: string
                              format: date-time
                              pattern: >-
                                ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
                            name_match_status:
                              type: string
                              enum:
                                - pending
                                - matched
                                - mismatch
                                - payer_approved
                                - payer_canceled
                            aml_status:
                              type: string
                              enum:
                                - not_submitted
                                - pending
                                - approved
                                - rejected
                          required:
                            - payer_is_company
                            - payer_company_name
                            - payee_is_company
                            - payee_company_name
                            - payer_first_name
                            - payer_last_name
                            - payee_first_name
                            - payee_last_name
                            - review_version
                            - name_match_status
                            - aml_status
                          additionalProperties: false
                          nullable: true
                      required:
                        - user_nanoid
                        - email
                        - first_name
                        - last_name
                        - status
                        - is_company
                        - company_name
                        - payments
                        - verification
                      additionalProperties: false
                required:
                  - success
                  - counts
                  - data
                additionalProperties: false
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Bad Request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Unauthorized
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Forbidden
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Not Found
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Internal Server Error
        '502':
          description: Bad Gateway
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Bad Gateway
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.